ant-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From RADEMAKERS Tanguy <tanguy.rademak...@swift.com>
Subject Re: Problem in using ftp with ant 1.6.1
Date Thu, 11 Mar 2004 19:53:46 GMT
You need *both* the ant-commons-net.jar (came with the insect) and the 
commons-net.jar (did not come with the insect) to do ftp.

/t

Satyajit Paul wrote:

>Hi Luis,
>          Thanks a ton. But, I have the suggested file too under ANT_HOME/lib, the name
being ant-commons-net.jar and it contains the FTP.class and other associated ftp classes.
And while executing, only ftp its failing, other tasks like javac, copying etc are completed
fine.......its frustrating.
> 
>Hope some one has faced the situation and can reply. 
>
>Thanks,
>satya
>
>"Conelly, Luis (GNF, Contractor)" <Luis.Conelly@gnf.com> wrote:
>
>It seems you are missing commons-net.jar; from Ant Manual[1]:
>
>commons-net.jar | ftp, rexec and telnet tasks | http://jakarta.apache.org/commons/net/index.html

>
>Try it.
>
>Regards
>-Luis
>
>[1] http://ant.apache.org/manual/install.html#librarydependencies
>
>-----Original Message-----
>From: Satyajit Paul [mailto:satya_work@yahoo.com]
>Sent: Thursday, March 11, 2004 10:18 AM
>To: user@ant.apache.org
>Subject: Problem in using ftp with ant 1.6.1
>
>
>Hi All,
>
>I am trying to make use of ...like 
>
>userid="user_name" 
>password="password" 
>remotedir="/home/user_name/"
>port="21"
>binary="true">
>
>
>
>
>
>
>But its saying
>Ant could not find the task or a class this task relies upon.
>
>This is common and has a number of causes; the usual
>solutions are to read the manual pages then download and
>install needed JAR files, or fix the build file:
>- You have misspelt 'ftp'.
>Fix: check your spelling.
>- The task needs an external JAR file to execute
>and this is not found at the right place in the classpath.
>Fix: check the documentation for dependencies.
>Fix: declare the task........................
>.........................................
>
>So, I thought it might need optional.jar. And I downloaded the latest one jakarta-ant-1.4.1-optional.jar
and copied it under ANT_HOME\lib
>
>But still no luck :(. I am using ant 1.6.1 and this one I did not build, just unzipped
the downloaded zip file.
>
>All the environment variables like ANT_HOME, JAVA_HOME and their inclusion in PATH are
proper.
>
>Do I need to copy some other version of optional.jar??? Saw some where that this optional.jar
not any more a single jar rather it is split in multiple from ant 1.6.0 onwards.
>
>Or do I really need to copy the optional.jar as documentation says these already packed
with the core ant?????
>
>I feel I am just missing some basic thing....and a BIG THANKS for any kind of help.....
>
>Reagrds,
>satya
>
>
>
>
>---------------------------------
>Do you Yahoo!?
>Yahoo! SiteBuilder - Free web site building tool. Try it!
>
>
>
>---------------------------------
>Do you Yahoo!?
>Yahoo! Search - Find what you’re looking for faster.
>  
>

---------------------------------------------------------------------
To unsubscribe, e-mail: user-unsubscribe@ant.apache.org
For additional commands, e-mail: user-help@ant.apache.org


Mime
View raw message